import java.io.*;
import java.net.*;
import javax.net.ssl.*;


public class HTTPSTest
{

	public static void main(String[] args) throws Exception
	{
		// Add Sun JSSE's SSL provider to enable SSL sockets
		java.security.Security.addProvider(
			new com.sun.net.ssl.internal.ssl.Provider());

		// Add HTTPS protocol handler
		System.setProperty("java.protocol.handler.pkgs",
			"com.sun.net.ssl.internal.www.protocol");

		URL url = new URL("https://bank.com/");
		BufferedReader in = new BufferedReader(
			new InputStreamReader(url.openStream()));
		String inputLine;
		while ((inputLine = in.readLine()) != null)
			System.out.println(inputLine);
		in.close();
	}


/*
public static void main(String[] args) throws Exception
{
	try {
		java.security.Security.addProvider(
			new com.sun.net.ssl.internal.ssl.Provider());
		SSLSocketFactory factory = (SSLSocketFactory) SSLSocketFactory.getDefault();
		SSLSocket socket = (SSLSocket)factory.createSocket("www.payforit.com", 443);
		PrintWriter out = new PrintWriter(
			new BufferedWriter(new OutputStreamWriter(socket.getOutputStream())));
		out.println("GET https://www.payforit.com/default.asp HTTP/1.1");
		out.println();
		out.flush();
		BufferedReader in = new BufferedReader(
			new InputStreamReader(socket.getInputStream()));
		String inputLine;

		while ((inputLine = in.readLine()) != null)
			System.out.println(inputLine);
		in.close();
	} catch (Exception e) {
		e.printStackTrace();
	}
}
*/

}
